package core.ui.common

import androidx.recyclerview.widget.RecyclerView
import io.reactivex.rxjava3.disposables.Disposable

/**
 * info
 *
 * @author ReiChin_
 */
interface IUIListener {

    fun showLoading(message: String? = null, cancelable: Boolean = false)

    fun dismissLoading()

    fun showToast(message: String)

    fun showNetError(throwable: Throwable)

    fun addDisposable(disposable: Disposable)

    fun removeDisposable(disposable: Disposable)

    fun createItemDecoration(): RecyclerView.ItemDecoration?
}